# GlobalLists

Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves. A global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for complex value models for each global list value object.

## GET /v1/GlobalLists

> Get all global lists created in the system

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.GlobalList.GlobalList":{"type":"object","properties":{"Id":{"type":"integer","description":"Id of global list (readonly)","format":"int32"},"Uid":{"type":"string","description":"Unique id of global list","format":"uuid"},"Attribute":{"$ref":"#/components/schemas/Struct.App.Api.Models.Attribute.Attribute"},"ViewRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required to view the global list"},"ViewPermission":{"type":"string","description":"Permission required to view the global list, if ViewRequiresPermission is set","format":"uuid","nullable":true},"CreateRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to create values in the global list"},"EditRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to update values in the global list"},"DeleteRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to delete values in the global list"},"CreatePermission":{"type":"string","description":"Permission required to create values in the global list, if CreateRequiresPermission is set","format":"uuid","nullable":true},"EditPermission":{"type":"string","description":"Permission required to update values in the global list, if EditRequiresPermission is set","format":"uuid","nullable":true},"DeletePermission":{"type":"string","description":"Permission required to delete values in the global list, if DeleteRequiresPermission is set","format":"uuid","nullable":true},"FolderUid":{"type":"string","description":"Uid of folder to place global list in","format":"uuid","nullable":true},"RequiresSorting":{"type":"boolean","description":"Defines if values on a global list values should be sorted on creation"},"GlobalListKeys":{"type":"array","items":{"type":"string"},"description":"Defines data elements of the global list, which in combination must be unique across all\r\nvalues of the this global list\r\n(format: [rootAttributeUid]_[subAttributeUid]_[LanguageId/NA]_[DimensionSegmentUid/NA] - ex. 17ca35af-9cb9-44a2-a2f4-1d30a3617e01_2ee6ac86-77d0-4385-94b7-84dd59e05d0b_NA_NA)","nullable":true},"KeyIsCaseInsensitive":{"type":"boolean","description":"Defines if key value for a global list value is case insensitive"},"AvailableInApps":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.StructApp"},"description":"Define where the global list is available to users","nullable":true}},"additionalProperties":false,"description":"Global list represents a global collection of reusable objects"},"Struct.App.Api.Models.Attribute.Attribute":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of attribute","format":"uuid"},"Alias":{"type":"string","description":"Unique alias of attribute. Max length is 50 characters and can only consist of letters a-z/A-Z and numbers 0-9 (but cannot start with a number)","nullable":true},"BackofficeName":{"type":"string","description":"The name of the attribute displayed to the editor in the PIM backoffice","nullable":true},"BackofficeDescription":{"type":"string","description":"The description of the attribute displayed to the editor in the PIM backoffice","nullable":true},"Name":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized name of the attribute usable for displaying the attribute name in ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"Description":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized description of the attribute usable for displaying a description for the attribute on ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"AttributeGroupUid":{"type":"string","description":"The id of the attribute group this attribute is placed within","format":"uuid","nullable":true},"AttributeScopes":{"type":"array","items":{"type":"string","format":"uuid"},"description":"Unique ids of the attribute scopes this attribute is placed within","nullable":true},"Localized":{"type":"boolean","description":"Indicates whether values of this attribute are localized"},"FallbackLanguage":{"type":"integer","description":"Indicates a fallback language in case attribute is localized and no value is added to a specific language","format":"int32","nullable":true},"DimensionUid":{"type":"string","description":"Unique id of Dimension to segment values of this attribute on","format":"uuid","nullable":true},"FallbackSegment":{"type":"string","description":"Indicates a fallback segment in case attribute is dimensioned and no value is added to a specific segment of that dimension","format":"uuid","nullable":true},"ReadOnly":{"type":"boolean","description":"Indicates whether this attribute is always readonly.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Mandatory":{"type":"boolean","description":"Indicates whether this attribute is always mandatory.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Columns":{"type":"integer","description":"The number of columns this attribute should span in the PIM backoffice (1-12)","format":"int32"},"Unchangeable":{"type":"boolean","description":"Indicates whether this attribute cannot change its value, once it has a value assigned.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"AttributeType":{"type":"string","description":"Type of attribute","nullable":true,"readOnly":true},"DisableRevisionLogging":{"type":"boolean","description":"Disable all revision logging for this attribute"},"DisableIndexing":{"type":"boolean","description":"Disable indexing for this attribute"}},"additionalProperties":false,"description":"Represents an attribute in Struct PIM which can be attached to product, variant or category data models"},"Struct.App.Api.Models.GlobalList.StructApp":{"enum":[0,1],"type":"integer","description":"Applications where the global list is available \n\n- `0` = **PIM**: PIM\n- `1` = **Media**: Media","format":"int32"}}},"paths":{"/v1/GlobalLists":{"get":{"tags":["GlobalLists"],"summary":"Get all global lists created in the system","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalList"}}}}}}}}}}
```

## POST /v1/GlobalLists

> Create a new global list

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.GlobalList.GlobalList":{"type":"object","properties":{"Id":{"type":"integer","description":"Id of global list (readonly)","format":"int32"},"Uid":{"type":"string","description":"Unique id of global list","format":"uuid"},"Attribute":{"$ref":"#/components/schemas/Struct.App.Api.Models.Attribute.Attribute"},"ViewRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required to view the global list"},"ViewPermission":{"type":"string","description":"Permission required to view the global list, if ViewRequiresPermission is set","format":"uuid","nullable":true},"CreateRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to create values in the global list"},"EditRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to update values in the global list"},"DeleteRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to delete values in the global list"},"CreatePermission":{"type":"string","description":"Permission required to create values in the global list, if CreateRequiresPermission is set","format":"uuid","nullable":true},"EditPermission":{"type":"string","description":"Permission required to update values in the global list, if EditRequiresPermission is set","format":"uuid","nullable":true},"DeletePermission":{"type":"string","description":"Permission required to delete values in the global list, if DeleteRequiresPermission is set","format":"uuid","nullable":true},"FolderUid":{"type":"string","description":"Uid of folder to place global list in","format":"uuid","nullable":true},"RequiresSorting":{"type":"boolean","description":"Defines if values on a global list values should be sorted on creation"},"GlobalListKeys":{"type":"array","items":{"type":"string"},"description":"Defines data elements of the global list, which in combination must be unique across all\r\nvalues of the this global list\r\n(format: [rootAttributeUid]_[subAttributeUid]_[LanguageId/NA]_[DimensionSegmentUid/NA] - ex. 17ca35af-9cb9-44a2-a2f4-1d30a3617e01_2ee6ac86-77d0-4385-94b7-84dd59e05d0b_NA_NA)","nullable":true},"KeyIsCaseInsensitive":{"type":"boolean","description":"Defines if key value for a global list value is case insensitive"},"AvailableInApps":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.StructApp"},"description":"Define where the global list is available to users","nullable":true}},"additionalProperties":false,"description":"Global list represents a global collection of reusable objects"},"Struct.App.Api.Models.Attribute.Attribute":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of attribute","format":"uuid"},"Alias":{"type":"string","description":"Unique alias of attribute. Max length is 50 characters and can only consist of letters a-z/A-Z and numbers 0-9 (but cannot start with a number)","nullable":true},"BackofficeName":{"type":"string","description":"The name of the attribute displayed to the editor in the PIM backoffice","nullable":true},"BackofficeDescription":{"type":"string","description":"The description of the attribute displayed to the editor in the PIM backoffice","nullable":true},"Name":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized name of the attribute usable for displaying the attribute name in ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"Description":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized description of the attribute usable for displaying a description for the attribute on ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"AttributeGroupUid":{"type":"string","description":"The id of the attribute group this attribute is placed within","format":"uuid","nullable":true},"AttributeScopes":{"type":"array","items":{"type":"string","format":"uuid"},"description":"Unique ids of the attribute scopes this attribute is placed within","nullable":true},"Localized":{"type":"boolean","description":"Indicates whether values of this attribute are localized"},"FallbackLanguage":{"type":"integer","description":"Indicates a fallback language in case attribute is localized and no value is added to a specific language","format":"int32","nullable":true},"DimensionUid":{"type":"string","description":"Unique id of Dimension to segment values of this attribute on","format":"uuid","nullable":true},"FallbackSegment":{"type":"string","description":"Indicates a fallback segment in case attribute is dimensioned and no value is added to a specific segment of that dimension","format":"uuid","nullable":true},"ReadOnly":{"type":"boolean","description":"Indicates whether this attribute is always readonly.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Mandatory":{"type":"boolean","description":"Indicates whether this attribute is always mandatory.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Columns":{"type":"integer","description":"The number of columns this attribute should span in the PIM backoffice (1-12)","format":"int32"},"Unchangeable":{"type":"boolean","description":"Indicates whether this attribute cannot change its value, once it has a value assigned.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"AttributeType":{"type":"string","description":"Type of attribute","nullable":true,"readOnly":true},"DisableRevisionLogging":{"type":"boolean","description":"Disable all revision logging for this attribute"},"DisableIndexing":{"type":"boolean","description":"Disable indexing for this attribute"}},"additionalProperties":false,"description":"Represents an attribute in Struct PIM which can be attached to product, variant or category data models"},"Struct.App.Api.Models.GlobalList.StructApp":{"enum":[0,1],"type":"integer","description":"Applications where the global list is available \n\n- `0` = **PIM**: PIM\n- `1` = **Media**: Media","format":"int32"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/v1/GlobalLists":{"post":{"tags":["GlobalLists"],"summary":"Create a new global list","requestBody":{"description":"Global list model","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalList"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalList"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## PUT /v1/GlobalLists

> Update a global list

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.GlobalList.GlobalList":{"type":"object","properties":{"Id":{"type":"integer","description":"Id of global list (readonly)","format":"int32"},"Uid":{"type":"string","description":"Unique id of global list","format":"uuid"},"Attribute":{"$ref":"#/components/schemas/Struct.App.Api.Models.Attribute.Attribute"},"ViewRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required to view the global list"},"ViewPermission":{"type":"string","description":"Permission required to view the global list, if ViewRequiresPermission is set","format":"uuid","nullable":true},"CreateRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to create values in the global list"},"EditRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to update values in the global list"},"DeleteRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to delete values in the global list"},"CreatePermission":{"type":"string","description":"Permission required to create values in the global list, if CreateRequiresPermission is set","format":"uuid","nullable":true},"EditPermission":{"type":"string","description":"Permission required to update values in the global list, if EditRequiresPermission is set","format":"uuid","nullable":true},"DeletePermission":{"type":"string","description":"Permission required to delete values in the global list, if DeleteRequiresPermission is set","format":"uuid","nullable":true},"FolderUid":{"type":"string","description":"Uid of folder to place global list in","format":"uuid","nullable":true},"RequiresSorting":{"type":"boolean","description":"Defines if values on a global list values should be sorted on creation"},"GlobalListKeys":{"type":"array","items":{"type":"string"},"description":"Defines data elements of the global list, which in combination must be unique across all\r\nvalues of the this global list\r\n(format: [rootAttributeUid]_[subAttributeUid]_[LanguageId/NA]_[DimensionSegmentUid/NA] - ex. 17ca35af-9cb9-44a2-a2f4-1d30a3617e01_2ee6ac86-77d0-4385-94b7-84dd59e05d0b_NA_NA)","nullable":true},"KeyIsCaseInsensitive":{"type":"boolean","description":"Defines if key value for a global list value is case insensitive"},"AvailableInApps":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.StructApp"},"description":"Define where the global list is available to users","nullable":true}},"additionalProperties":false,"description":"Global list represents a global collection of reusable objects"},"Struct.App.Api.Models.Attribute.Attribute":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of attribute","format":"uuid"},"Alias":{"type":"string","description":"Unique alias of attribute. Max length is 50 characters and can only consist of letters a-z/A-Z and numbers 0-9 (but cannot start with a number)","nullable":true},"BackofficeName":{"type":"string","description":"The name of the attribute displayed to the editor in the PIM backoffice","nullable":true},"BackofficeDescription":{"type":"string","description":"The description of the attribute displayed to the editor in the PIM backoffice","nullable":true},"Name":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized name of the attribute usable for displaying the attribute name in ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"Description":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized description of the attribute usable for displaying a description for the attribute on ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"AttributeGroupUid":{"type":"string","description":"The id of the attribute group this attribute is placed within","format":"uuid","nullable":true},"AttributeScopes":{"type":"array","items":{"type":"string","format":"uuid"},"description":"Unique ids of the attribute scopes this attribute is placed within","nullable":true},"Localized":{"type":"boolean","description":"Indicates whether values of this attribute are localized"},"FallbackLanguage":{"type":"integer","description":"Indicates a fallback language in case attribute is localized and no value is added to a specific language","format":"int32","nullable":true},"DimensionUid":{"type":"string","description":"Unique id of Dimension to segment values of this attribute on","format":"uuid","nullable":true},"FallbackSegment":{"type":"string","description":"Indicates a fallback segment in case attribute is dimensioned and no value is added to a specific segment of that dimension","format":"uuid","nullable":true},"ReadOnly":{"type":"boolean","description":"Indicates whether this attribute is always readonly.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Mandatory":{"type":"boolean","description":"Indicates whether this attribute is always mandatory.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Columns":{"type":"integer","description":"The number of columns this attribute should span in the PIM backoffice (1-12)","format":"int32"},"Unchangeable":{"type":"boolean","description":"Indicates whether this attribute cannot change its value, once it has a value assigned.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"AttributeType":{"type":"string","description":"Type of attribute","nullable":true,"readOnly":true},"DisableRevisionLogging":{"type":"boolean","description":"Disable all revision logging for this attribute"},"DisableIndexing":{"type":"boolean","description":"Disable indexing for this attribute"}},"additionalProperties":false,"description":"Represents an attribute in Struct PIM which can be attached to product, variant or category data models"},"Struct.App.Api.Models.GlobalList.StructApp":{"enum":[0,1],"type":"integer","description":"Applications where the global list is available \n\n- `0` = **PIM**: PIM\n- `1` = **Media**: Media","format":"int32"}}},"paths":{"/v1/GlobalLists":{"put":{"tags":["GlobalLists"],"summary":"Update a global list","requestBody":{"description":"Global List model","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalList"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## DELETE /v1/GlobalLists

> Delete a global list

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}}},"paths":{"/v1/GlobalLists":{"delete":{"tags":["GlobalLists"],"summary":"Delete a global list","parameters":[{"name":"uid","in":"query","description":"the Unique id of the global list","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## GET /v1/GlobalLists/{uid}

> Get a specific global list

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.GlobalList.GlobalList":{"type":"object","properties":{"Id":{"type":"integer","description":"Id of global list (readonly)","format":"int32"},"Uid":{"type":"string","description":"Unique id of global list","format":"uuid"},"Attribute":{"$ref":"#/components/schemas/Struct.App.Api.Models.Attribute.Attribute"},"ViewRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required to view the global list"},"ViewPermission":{"type":"string","description":"Permission required to view the global list, if ViewRequiresPermission is set","format":"uuid","nullable":true},"CreateRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to create values in the global list"},"EditRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to update values in the global list"},"DeleteRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to delete values in the global list"},"CreatePermission":{"type":"string","description":"Permission required to create values in the global list, if CreateRequiresPermission is set","format":"uuid","nullable":true},"EditPermission":{"type":"string","description":"Permission required to update values in the global list, if EditRequiresPermission is set","format":"uuid","nullable":true},"DeletePermission":{"type":"string","description":"Permission required to delete values in the global list, if DeleteRequiresPermission is set","format":"uuid","nullable":true},"FolderUid":{"type":"string","description":"Uid of folder to place global list in","format":"uuid","nullable":true},"RequiresSorting":{"type":"boolean","description":"Defines if values on a global list values should be sorted on creation"},"GlobalListKeys":{"type":"array","items":{"type":"string"},"description":"Defines data elements of the global list, which in combination must be unique across all\r\nvalues of the this global list\r\n(format: [rootAttributeUid]_[subAttributeUid]_[LanguageId/NA]_[DimensionSegmentUid/NA] - ex. 17ca35af-9cb9-44a2-a2f4-1d30a3617e01_2ee6ac86-77d0-4385-94b7-84dd59e05d0b_NA_NA)","nullable":true},"KeyIsCaseInsensitive":{"type":"boolean","description":"Defines if key value for a global list value is case insensitive"},"AvailableInApps":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.StructApp"},"description":"Define where the global list is available to users","nullable":true}},"additionalProperties":false,"description":"Global list represents a global collection of reusable objects"},"Struct.App.Api.Models.Attribute.Attribute":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of attribute","format":"uuid"},"Alias":{"type":"string","description":"Unique alias of attribute. Max length is 50 characters and can only consist of letters a-z/A-Z and numbers 0-9 (but cannot start with a number)","nullable":true},"BackofficeName":{"type":"string","description":"The name of the attribute displayed to the editor in the PIM backoffice","nullable":true},"BackofficeDescription":{"type":"string","description":"The description of the attribute displayed to the editor in the PIM backoffice","nullable":true},"Name":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized name of the attribute usable for displaying the attribute name in ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"Description":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized description of the attribute usable for displaying a description for the attribute on ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"AttributeGroupUid":{"type":"string","description":"The id of the attribute group this attribute is placed within","format":"uuid","nullable":true},"AttributeScopes":{"type":"array","items":{"type":"string","format":"uuid"},"description":"Unique ids of the attribute scopes this attribute is placed within","nullable":true},"Localized":{"type":"boolean","description":"Indicates whether values of this attribute are localized"},"FallbackLanguage":{"type":"integer","description":"Indicates a fallback language in case attribute is localized and no value is added to a specific language","format":"int32","nullable":true},"DimensionUid":{"type":"string","description":"Unique id of Dimension to segment values of this attribute on","format":"uuid","nullable":true},"FallbackSegment":{"type":"string","description":"Indicates a fallback segment in case attribute is dimensioned and no value is added to a specific segment of that dimension","format":"uuid","nullable":true},"ReadOnly":{"type":"boolean","description":"Indicates whether this attribute is always readonly.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Mandatory":{"type":"boolean","description":"Indicates whether this attribute is always mandatory.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Columns":{"type":"integer","description":"The number of columns this attribute should span in the PIM backoffice (1-12)","format":"int32"},"Unchangeable":{"type":"boolean","description":"Indicates whether this attribute cannot change its value, once it has a value assigned.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"AttributeType":{"type":"string","description":"Type of attribute","nullable":true,"readOnly":true},"DisableRevisionLogging":{"type":"boolean","description":"Disable all revision logging for this attribute"},"DisableIndexing":{"type":"boolean","description":"Disable indexing for this attribute"}},"additionalProperties":false,"description":"Represents an attribute in Struct PIM which can be attached to product, variant or category data models"},"Struct.App.Api.Models.GlobalList.StructApp":{"enum":[0,1],"type":"integer","description":"Applications where the global list is available \n\n- `0` = **PIM**: PIM\n- `1` = **Media**: Media","format":"int32"}}},"paths":{"/v1/GlobalLists/{uid}":{"get":{"tags":["GlobalLists"],"summary":"Get a specific global list","parameters":[{"name":"uid","in":"path","description":"Unique id of global list","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalList"}}}}}}}}}
```

## GET /v1/GlobalLists/ByAlias/{alias}

> Get a specific global list by its alias

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.GlobalList.GlobalList":{"type":"object","properties":{"Id":{"type":"integer","description":"Id of global list (readonly)","format":"int32"},"Uid":{"type":"string","description":"Unique id of global list","format":"uuid"},"Attribute":{"$ref":"#/components/schemas/Struct.App.Api.Models.Attribute.Attribute"},"ViewRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required to view the global list"},"ViewPermission":{"type":"string","description":"Permission required to view the global list, if ViewRequiresPermission is set","format":"uuid","nullable":true},"CreateRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to create values in the global list"},"EditRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to update values in the global list"},"DeleteRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to delete values in the global list"},"CreatePermission":{"type":"string","description":"Permission required to create values in the global list, if CreateRequiresPermission is set","format":"uuid","nullable":true},"EditPermission":{"type":"string","description":"Permission required to update values in the global list, if EditRequiresPermission is set","format":"uuid","nullable":true},"DeletePermission":{"type":"string","description":"Permission required to delete values in the global list, if DeleteRequiresPermission is set","format":"uuid","nullable":true},"FolderUid":{"type":"string","description":"Uid of folder to place global list in","format":"uuid","nullable":true},"RequiresSorting":{"type":"boolean","description":"Defines if values on a global list values should be sorted on creation"},"GlobalListKeys":{"type":"array","items":{"type":"string"},"description":"Defines data elements of the global list, which in combination must be unique across all\r\nvalues of the this global list\r\n(format: [rootAttributeUid]_[subAttributeUid]_[LanguageId/NA]_[DimensionSegmentUid/NA] - ex. 17ca35af-9cb9-44a2-a2f4-1d30a3617e01_2ee6ac86-77d0-4385-94b7-84dd59e05d0b_NA_NA)","nullable":true},"KeyIsCaseInsensitive":{"type":"boolean","description":"Defines if key value for a global list value is case insensitive"},"AvailableInApps":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.StructApp"},"description":"Define where the global list is available to users","nullable":true}},"additionalProperties":false,"description":"Global list represents a global collection of reusable objects"},"Struct.App.Api.Models.Attribute.Attribute":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of attribute","format":"uuid"},"Alias":{"type":"string","description":"Unique alias of attribute. Max length is 50 characters and can only consist of letters a-z/A-Z and numbers 0-9 (but cannot start with a number)","nullable":true},"BackofficeName":{"type":"string","description":"The name of the attribute displayed to the editor in the PIM backoffice","nullable":true},"BackofficeDescription":{"type":"string","description":"The description of the attribute displayed to the editor in the PIM backoffice","nullable":true},"Name":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized name of the attribute usable for displaying the attribute name in ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"Description":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized description of the attribute usable for displaying a description for the attribute on ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"AttributeGroupUid":{"type":"string","description":"The id of the attribute group this attribute is placed within","format":"uuid","nullable":true},"AttributeScopes":{"type":"array","items":{"type":"string","format":"uuid"},"description":"Unique ids of the attribute scopes this attribute is placed within","nullable":true},"Localized":{"type":"boolean","description":"Indicates whether values of this attribute are localized"},"FallbackLanguage":{"type":"integer","description":"Indicates a fallback language in case attribute is localized and no value is added to a specific language","format":"int32","nullable":true},"DimensionUid":{"type":"string","description":"Unique id of Dimension to segment values of this attribute on","format":"uuid","nullable":true},"FallbackSegment":{"type":"string","description":"Indicates a fallback segment in case attribute is dimensioned and no value is added to a specific segment of that dimension","format":"uuid","nullable":true},"ReadOnly":{"type":"boolean","description":"Indicates whether this attribute is always readonly.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Mandatory":{"type":"boolean","description":"Indicates whether this attribute is always mandatory.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Columns":{"type":"integer","description":"The number of columns this attribute should span in the PIM backoffice (1-12)","format":"int32"},"Unchangeable":{"type":"boolean","description":"Indicates whether this attribute cannot change its value, once it has a value assigned.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"AttributeType":{"type":"string","description":"Type of attribute","nullable":true,"readOnly":true},"DisableRevisionLogging":{"type":"boolean","description":"Disable all revision logging for this attribute"},"DisableIndexing":{"type":"boolean","description":"Disable indexing for this attribute"}},"additionalProperties":false,"description":"Represents an attribute in Struct PIM which can be attached to product, variant or category data models"},"Struct.App.Api.Models.GlobalList.StructApp":{"enum":[0,1],"type":"integer","description":"Applications where the global list is available \n\n- `0` = **PIM**: PIM\n- `1` = **Media**: Media","format":"int32"}}},"paths":{"/v1/GlobalLists/ByAlias/{alias}":{"get":{"tags":["GlobalLists"],"summary":"Get a specific global list by its alias","parameters":[{"name":"alias","in":"path","description":"Alias of the global list to return","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalList"}}}}}}}}}
```

## POST /v1/GlobalLists/ByAlias/batch

> Get a batch of global lists by their aliases

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.GlobalList.GlobalList":{"type":"object","properties":{"Id":{"type":"integer","description":"Id of global list (readonly)","format":"int32"},"Uid":{"type":"string","description":"Unique id of global list","format":"uuid"},"Attribute":{"$ref":"#/components/schemas/Struct.App.Api.Models.Attribute.Attribute"},"ViewRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required to view the global list"},"ViewPermission":{"type":"string","description":"Permission required to view the global list, if ViewRequiresPermission is set","format":"uuid","nullable":true},"CreateRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to create values in the global list"},"EditRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to update values in the global list"},"DeleteRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to delete values in the global list"},"CreatePermission":{"type":"string","description":"Permission required to create values in the global list, if CreateRequiresPermission is set","format":"uuid","nullable":true},"EditPermission":{"type":"string","description":"Permission required to update values in the global list, if EditRequiresPermission is set","format":"uuid","nullable":true},"DeletePermission":{"type":"string","description":"Permission required to delete values in the global list, if DeleteRequiresPermission is set","format":"uuid","nullable":true},"FolderUid":{"type":"string","description":"Uid of folder to place global list in","format":"uuid","nullable":true},"RequiresSorting":{"type":"boolean","description":"Defines if values on a global list values should be sorted on creation"},"GlobalListKeys":{"type":"array","items":{"type":"string"},"description":"Defines data elements of the global list, which in combination must be unique across all\r\nvalues of the this global list\r\n(format: [rootAttributeUid]_[subAttributeUid]_[LanguageId/NA]_[DimensionSegmentUid/NA] - ex. 17ca35af-9cb9-44a2-a2f4-1d30a3617e01_2ee6ac86-77d0-4385-94b7-84dd59e05d0b_NA_NA)","nullable":true},"KeyIsCaseInsensitive":{"type":"boolean","description":"Defines if key value for a global list value is case insensitive"},"AvailableInApps":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.StructApp"},"description":"Define where the global list is available to users","nullable":true}},"additionalProperties":false,"description":"Global list represents a global collection of reusable objects"},"Struct.App.Api.Models.Attribute.Attribute":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of attribute","format":"uuid"},"Alias":{"type":"string","description":"Unique alias of attribute. Max length is 50 characters and can only consist of letters a-z/A-Z and numbers 0-9 (but cannot start with a number)","nullable":true},"BackofficeName":{"type":"string","description":"The name of the attribute displayed to the editor in the PIM backoffice","nullable":true},"BackofficeDescription":{"type":"string","description":"The description of the attribute displayed to the editor in the PIM backoffice","nullable":true},"Name":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized name of the attribute usable for displaying the attribute name in ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"Description":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized description of the attribute usable for displaying a description for the attribute on ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"AttributeGroupUid":{"type":"string","description":"The id of the attribute group this attribute is placed within","format":"uuid","nullable":true},"AttributeScopes":{"type":"array","items":{"type":"string","format":"uuid"},"description":"Unique ids of the attribute scopes this attribute is placed within","nullable":true},"Localized":{"type":"boolean","description":"Indicates whether values of this attribute are localized"},"FallbackLanguage":{"type":"integer","description":"Indicates a fallback language in case attribute is localized and no value is added to a specific language","format":"int32","nullable":true},"DimensionUid":{"type":"string","description":"Unique id of Dimension to segment values of this attribute on","format":"uuid","nullable":true},"FallbackSegment":{"type":"string","description":"Indicates a fallback segment in case attribute is dimensioned and no value is added to a specific segment of that dimension","format":"uuid","nullable":true},"ReadOnly":{"type":"boolean","description":"Indicates whether this attribute is always readonly.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Mandatory":{"type":"boolean","description":"Indicates whether this attribute is always mandatory.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Columns":{"type":"integer","description":"The number of columns this attribute should span in the PIM backoffice (1-12)","format":"int32"},"Unchangeable":{"type":"boolean","description":"Indicates whether this attribute cannot change its value, once it has a value assigned.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"AttributeType":{"type":"string","description":"Type of attribute","nullable":true,"readOnly":true},"DisableRevisionLogging":{"type":"boolean","description":"Disable all revision logging for this attribute"},"DisableIndexing":{"type":"boolean","description":"Disable indexing for this attribute"}},"additionalProperties":false,"description":"Represents an attribute in Struct PIM which can be attached to product, variant or category data models"},"Struct.App.Api.Models.GlobalList.StructApp":{"enum":[0,1],"type":"integer","description":"Applications where the global list is available \n\n- `0` = **PIM**: PIM\n- `1` = **Media**: Media","format":"int32"}}},"paths":{"/v1/GlobalLists/ByAlias/batch":{"post":{"tags":["GlobalLists"],"summary":"Get a batch of global lists by their aliases","requestBody":{"description":"Array of aliases","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalList"}}}}}}}}}}
```

## POST /v1/GlobalLists/batch

> Get a batch of global lists

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.GlobalList.GlobalList":{"type":"object","properties":{"Id":{"type":"integer","description":"Id of global list (readonly)","format":"int32"},"Uid":{"type":"string","description":"Unique id of global list","format":"uuid"},"Attribute":{"$ref":"#/components/schemas/Struct.App.Api.Models.Attribute.Attribute"},"ViewRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required to view the global list"},"ViewPermission":{"type":"string","description":"Permission required to view the global list, if ViewRequiresPermission is set","format":"uuid","nullable":true},"CreateRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to create values in the global list"},"EditRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to update values in the global list"},"DeleteRequiresPermission":{"type":"boolean","description":"Indicates whether a special permission is required in order to delete values in the global list"},"CreatePermission":{"type":"string","description":"Permission required to create values in the global list, if CreateRequiresPermission is set","format":"uuid","nullable":true},"EditPermission":{"type":"string","description":"Permission required to update values in the global list, if EditRequiresPermission is set","format":"uuid","nullable":true},"DeletePermission":{"type":"string","description":"Permission required to delete values in the global list, if DeleteRequiresPermission is set","format":"uuid","nullable":true},"FolderUid":{"type":"string","description":"Uid of folder to place global list in","format":"uuid","nullable":true},"RequiresSorting":{"type":"boolean","description":"Defines if values on a global list values should be sorted on creation"},"GlobalListKeys":{"type":"array","items":{"type":"string"},"description":"Defines data elements of the global list, which in combination must be unique across all\r\nvalues of the this global list\r\n(format: [rootAttributeUid]_[subAttributeUid]_[LanguageId/NA]_[DimensionSegmentUid/NA] - ex. 17ca35af-9cb9-44a2-a2f4-1d30a3617e01_2ee6ac86-77d0-4385-94b7-84dd59e05d0b_NA_NA)","nullable":true},"KeyIsCaseInsensitive":{"type":"boolean","description":"Defines if key value for a global list value is case insensitive"},"AvailableInApps":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.StructApp"},"description":"Define where the global list is available to users","nullable":true}},"additionalProperties":false,"description":"Global list represents a global collection of reusable objects"},"Struct.App.Api.Models.Attribute.Attribute":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of attribute","format":"uuid"},"Alias":{"type":"string","description":"Unique alias of attribute. Max length is 50 characters and can only consist of letters a-z/A-Z and numbers 0-9 (but cannot start with a number)","nullable":true},"BackofficeName":{"type":"string","description":"The name of the attribute displayed to the editor in the PIM backoffice","nullable":true},"BackofficeDescription":{"type":"string","description":"The description of the attribute displayed to the editor in the PIM backoffice","nullable":true},"Name":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized name of the attribute usable for displaying the attribute name in ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"Description":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"The localized description of the attribute usable for displaying a description for the attribute on ex. a webshop (Dictionary of ISO culturecode and localized value)","nullable":true},"AttributeGroupUid":{"type":"string","description":"The id of the attribute group this attribute is placed within","format":"uuid","nullable":true},"AttributeScopes":{"type":"array","items":{"type":"string","format":"uuid"},"description":"Unique ids of the attribute scopes this attribute is placed within","nullable":true},"Localized":{"type":"boolean","description":"Indicates whether values of this attribute are localized"},"FallbackLanguage":{"type":"integer","description":"Indicates a fallback language in case attribute is localized and no value is added to a specific language","format":"int32","nullable":true},"DimensionUid":{"type":"string","description":"Unique id of Dimension to segment values of this attribute on","format":"uuid","nullable":true},"FallbackSegment":{"type":"string","description":"Indicates a fallback segment in case attribute is dimensioned and no value is added to a specific segment of that dimension","format":"uuid","nullable":true},"ReadOnly":{"type":"boolean","description":"Indicates whether this attribute is always readonly.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Mandatory":{"type":"boolean","description":"Indicates whether this attribute is always mandatory.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"Columns":{"type":"integer","description":"The number of columns this attribute should span in the PIM backoffice (1-12)","format":"int32"},"Unchangeable":{"type":"boolean","description":"Indicates whether this attribute cannot change its value, once it has a value assigned.\r\nNOTE: Only applied when attribute is a sub attribute of a complex attribute."},"AttributeType":{"type":"string","description":"Type of attribute","nullable":true,"readOnly":true},"DisableRevisionLogging":{"type":"boolean","description":"Disable all revision logging for this attribute"},"DisableIndexing":{"type":"boolean","description":"Disable indexing for this attribute"}},"additionalProperties":false,"description":"Represents an attribute in Struct PIM which can be attached to product, variant or category data models"},"Struct.App.Api.Models.GlobalList.StructApp":{"enum":[0,1],"type":"integer","description":"Applications where the global list is available \n\n- `0` = **PIM**: PIM\n- `1` = **Media**: Media","format":"int32"}}},"paths":{"/v1/GlobalLists/batch":{"post":{"tags":["GlobalLists"],"summary":"Get a batch of global lists","requestBody":{"description":"Array with unique ids of global lists to return","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalList"}}}}}}}}}}
```

## GET /v1/GlobalLists/folders

> Get all global list folders in the system

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.GlobalList.GlobalListFolder":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of folder","format":"uuid"},"Name":{"type":"string","description":"Presented name of folder in backoffice","nullable":true}},"additionalProperties":false,"description":"Folder holding global lists"}}},"paths":{"/v1/GlobalLists/folders":{"get":{"tags":["GlobalLists"],"summary":"Get all global list folders in the system","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalListFolder"}}}}}}}}}}
```

## POST /v1/GlobalLists/folders

> Create new global list folder

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.GlobalList.GlobalListFolder":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of folder","format":"uuid"},"Name":{"type":"string","description":"Presented name of folder in backoffice","nullable":true}},"additionalProperties":false,"description":"Folder holding global lists"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/v1/GlobalLists/folders":{"post":{"tags":["GlobalLists"],"summary":"Create new global list folder","requestBody":{"description":"Folder model","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalListFolder"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalListFolder"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## PUT /v1/GlobalLists/folders

> Update existing global list folder

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.GlobalList.GlobalListFolder":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of folder","format":"uuid"},"Name":{"type":"string","description":"Presented name of folder in backoffice","nullable":true}},"additionalProperties":false,"description":"Folder holding global lists"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/v1/GlobalLists/folders":{"put":{"tags":["GlobalLists"],"summary":"Update existing global list folder","requestBody":{"description":"Folder model","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalListFolder"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## DELETE /v1/GlobalLists/folders

> Deletes the global list folder with the specified uid

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}}},"paths":{"/v1/GlobalLists/folders":{"delete":{"tags":["GlobalLists"],"summary":"Deletes the global list folder with the specified uid","parameters":[{"name":"uid","in":"query","description":"Uid of folder to delete","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## GET /v1/GlobalLists/folders/{uid}

> Get a specific global list folder

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.GlobalList.GlobalListFolder":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of folder","format":"uuid"},"Name":{"type":"string","description":"Presented name of folder in backoffice","nullable":true}},"additionalProperties":false,"description":"Folder holding global lists"}}},"paths":{"/v1/GlobalLists/folders/{uid}":{"get":{"tags":["GlobalLists"],"summary":"Get a specific global list folder","parameters":[{"name":"uid","in":"path","description":"Unique id of folder","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalListFolder"}}}}}}}}}
```

## GET /v1/GlobalLists/{uid}/values

> Get values for a specific global list

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.GlobalList.GlobalListValueResultSet":{"type":"object","properties":{"Total":{"type":"integer","description":"Total number of global list values in global list","format":"int32"},"Remaining":{"type":"integer","description":"Remaining values after the LastId in this result set","format":"int32"},"LastId":{"type":"string","description":"Last id of values in this resultset. Use as pointer to fetch next batch of values","format":"uuid","nullable":true},"GlobalListValues":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalListValue"},"description":"The global list values in this resultset","nullable":true}},"additionalProperties":false,"description":"Resultset for requested global list values"},"Struct.App.Api.Models.GlobalList.GlobalListValue":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of global list value","format":"uuid"},"SortOrder":{"type":"integer","description":"Sort order of this value compared to other values in the same global list","format":"int32","nullable":true},"Value":{"description":"The value dynamic value model. The data type of this model depends on the Global list attribute setup.\r\nIf the global list attribute is a Text attribute, this value will be a string If it is a Number attribute,\r\nthis value will be a decimal and so on.","nullable":true}},"additionalProperties":false,"description":"Global list value object representing data on a specific object in a global list.\r\nThe data type of the value property differs depending on the underlying attribute on the global list of this value."}}},"paths":{"/v1/GlobalLists/{uid}/values":{"get":{"tags":["GlobalLists"],"summary":"Get values for a specific global list","parameters":[{"name":"uid","in":"path","description":"Unique id of global list to get values for","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"limit","in":"query","description":"Max number of items to return","schema":{"type":"integer","format":"int32","default":1000000}},{"name":"afterId","in":"query","description":"Only get values sorted after this id","schema":{"type":"string","format":"uuid"}},{"name":"globalListValueReferencesOnly","in":"query","description":"Indicate if only uids of referenced to global list values shall be returned instead of the materialized values","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalListValueResultSet"}}}}}}}}}
```

## POST /v1/GlobalLists/{uid}/values

> Create values in a global list

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.GlobalList.GlobalListValue":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of global list value","format":"uuid"},"SortOrder":{"type":"integer","description":"Sort order of this value compared to other values in the same global list","format":"int32","nullable":true},"Value":{"description":"The value dynamic value model. The data type of this model depends on the Global list attribute setup.\r\nIf the global list attribute is a Text attribute, this value will be a string If it is a Number attribute,\r\nthis value will be a decimal and so on.","nullable":true}},"additionalProperties":false,"description":"Global list value object representing data on a specific object in a global list.\r\nThe data type of the value property differs depending on the underlying attribute on the global list of this value."}}},"paths":{"/v1/GlobalLists/{uid}/values":{"post":{"tags":["GlobalLists"],"summary":"Create values in a global list","parameters":[{"name":"uid","in":"path","description":"Unique id of global list to create values in","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"description":"Values to create in global list","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalListValue"}}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## PUT /v1/GlobalLists/{uid}/values

> Update values in a global list

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.GlobalList.GlobalListValue":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of global list value","format":"uuid"},"SortOrder":{"type":"integer","description":"Sort order of this value compared to other values in the same global list","format":"int32","nullable":true},"Value":{"description":"The value dynamic value model. The data type of this model depends on the Global list attribute setup.\r\nIf the global list attribute is a Text attribute, this value will be a string If it is a Number attribute,\r\nthis value will be a decimal and so on.","nullable":true}},"additionalProperties":false,"description":"Global list value object representing data on a specific object in a global list.\r\nThe data type of the value property differs depending on the underlying attribute on the global list of this value."}}},"paths":{"/v1/GlobalLists/{uid}/values":{"put":{"tags":["GlobalLists"],"summary":"Update values in a global list","parameters":[{"name":"uid","in":"path","description":"Unique id of global list to update values in","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"description":"The values to update","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalListValue"}}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## GET /v1/GlobalLists/values/{uid}

> Get a global list value

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.GlobalList.GlobalListValue":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of global list value","format":"uuid"},"SortOrder":{"type":"integer","description":"Sort order of this value compared to other values in the same global list","format":"int32","nullable":true},"Value":{"description":"The value dynamic value model. The data type of this model depends on the Global list attribute setup.\r\nIf the global list attribute is a Text attribute, this value will be a string If it is a Number attribute,\r\nthis value will be a decimal and so on.","nullable":true}},"additionalProperties":false,"description":"Global list value object representing data on a specific object in a global list.\r\nThe data type of the value property differs depending on the underlying attribute on the global list of this value."},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/v1/GlobalLists/values/{uid}":{"get":{"tags":["GlobalLists"],"summary":"Get a global list value","parameters":[{"name":"uid","in":"path","description":"Unique id of global list value","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"globalListValueReferencesOnly","in":"query","description":"Indicate if only uids of referenced to global list values shall be returned instead of the materialized values","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalListValue"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get references to a global list value

> \#Available from v.3.5.0

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.GlobalList.GlobalListValueReferences":{"type":"object","properties":{"GlobalListValueUid":{"type":"string","description":"Uid of the referenced global list value","format":"uuid"},"ReferencingCategories":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Shared.EntityReferenceDetail"},"description":"List of categories referencing this global list value","nullable":true},"ReferencingProducts":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Shared.EntityReferenceDetail"},"description":"List of products referencing this global list value","nullable":true},"ReferencingVariantGroups":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Shared.EntityReferenceDetail"},"description":"List of variant groups referencing this global list value","nullable":true},"ReferencingVariants":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Shared.EntityReferenceDetail"},"description":"List of variants referencing this global list value","nullable":true},"ReferencingGlobalListValues":{"type":"array","items":{"type":"string","format":"uuid"},"description":"List of other global list values referencing this global list value","nullable":true}},"additionalProperties":false,"description":"Model holding references from other entities to global list value"},"Struct.App.Api.Models.Shared.EntityReferenceDetail":{"type":"object","properties":{"EntityId":{"type":"integer","description":"The id of the referencing entity","format":"int32"},"AttributeUid":{"type":"string","description":"The attribute on the referencing entity that holds the reference","format":"uuid"}},"additionalProperties":false,"description":"Model holding the attribute reference information for an entity reference"}}},"paths":{"/v1/GlobalLists/values/{uid}/references":{"get":{"tags":["GlobalLists"],"summary":"Get references to a global list value","description":"#Available from v.3.5.0","parameters":[{"name":"uid","in":"path","description":"Unique id of global list value","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalListValueReferences"}}}}}}}}}
```

## Get references to a batch of global list values

> \#Available from v.3.5.0> \
> No more than 5000 values can be requested at a time.

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.GlobalList.GlobalListValueReferences":{"type":"object","properties":{"GlobalListValueUid":{"type":"string","description":"Uid of the referenced global list value","format":"uuid"},"ReferencingCategories":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Shared.EntityReferenceDetail"},"description":"List of categories referencing this global list value","nullable":true},"ReferencingProducts":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Shared.EntityReferenceDetail"},"description":"List of products referencing this global list value","nullable":true},"ReferencingVariantGroups":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Shared.EntityReferenceDetail"},"description":"List of variant groups referencing this global list value","nullable":true},"ReferencingVariants":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Shared.EntityReferenceDetail"},"description":"List of variants referencing this global list value","nullable":true},"ReferencingGlobalListValues":{"type":"array","items":{"type":"string","format":"uuid"},"description":"List of other global list values referencing this global list value","nullable":true}},"additionalProperties":false,"description":"Model holding references from other entities to global list value"},"Struct.App.Api.Models.Shared.EntityReferenceDetail":{"type":"object","properties":{"EntityId":{"type":"integer","description":"The id of the referencing entity","format":"int32"},"AttributeUid":{"type":"string","description":"The attribute on the referencing entity that holds the reference","format":"uuid"}},"additionalProperties":false,"description":"Model holding the attribute reference information for an entity reference"}}},"paths":{"/v1/GlobalLists/values/batch/references":{"post":{"tags":["GlobalLists"],"summary":"Get references to a batch of global list values","description":"#Available from v.3.5.0\r\nNo more than 5000 values can be requested at a time.","requestBody":{"description":"Unique ids of global list values","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalListValueReferences"}}}}}}}}}
```

## Get a batch of global list values

> No more than 5000 values can be requested at a time.

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.GlobalList.GlobalListValue":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of global list value","format":"uuid"},"SortOrder":{"type":"integer","description":"Sort order of this value compared to other values in the same global list","format":"int32","nullable":true},"Value":{"description":"The value dynamic value model. The data type of this model depends on the Global list attribute setup.\r\nIf the global list attribute is a Text attribute, this value will be a string If it is a Number attribute,\r\nthis value will be a decimal and so on.","nullable":true}},"additionalProperties":false,"description":"Global list value object representing data on a specific object in a global list.\r\nThe data type of the value property differs depending on the underlying attribute on the global list of this value."},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/v1/GlobalLists/values/batch":{"post":{"tags":["GlobalLists"],"summary":"Get a batch of global list values","description":"No more than 5000 values can be requested at a time.","parameters":[{"name":"globalListValueReferencesOnly","in":"query","description":"Indicate if only uids of referenced to global list values shall be returned instead of the materialized values","schema":{"type":"boolean","default":false}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.GlobalList.GlobalListValue"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## DELETE /v1/GlobalLists/values

> Delete a range of global list values

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}}},"paths":{"/v1/GlobalLists/values":{"delete":{"tags":["GlobalLists"],"summary":"Delete a range of global list values","requestBody":{"description":"Unique ids of values to delete","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"}}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /v1/GlobalLists/search/{uid}

> Get uids of global list values matching certain criteria

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Shared.QueryModel":{"type":"object","properties":{"BooleanOperator":{"$ref":"#/components/schemas/Struct.App.Api.Models.Shared.BooleanOperator"},"QueryModelType":{"type":"string","description":"The type of query model. Name matches exact name of concrete model implementation","nullable":true,"readOnly":true}},"additionalProperties":false,"description":"Definition of general query model"},"Struct.App.Api.Models.Shared.BooleanOperator":{"enum":[0,1],"type":"integer","description":"Boolean operator \n\n- `0` = **And**: All conditions must be met\n- `1` = **Or**: At least one condition must be met","format":"int32"}}},"paths":{"/v1/GlobalLists/search/{uid}":{"post":{"tags":["GlobalLists"],"summary":"Get uids of global list values matching certain criteria","parameters":[{"name":"uid","in":"path","description":"Uid of global list to search","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"description":"Query model","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.Shared.QueryModel"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"}}}}}}}}}}
```

## GET /v1/GlobalLists/queryablefields/{uid}

> Get available query fields for a specific global list

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"GlobalLists","description":"Global lists define reusable object structures that can be referenced on products, variants, categories or within global lists themselves.\r\nA global list uses an attribute to define the data model for values in the global list. Using Complex attributes as the data model allows for \r\ncomplex value models for each global list value object."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Shared.QueryableField":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of field in PIM","nullable":true},"Name":{"type":"string","description":"The display name of the field","nullable":true},"SupportsSorting":{"type":"boolean","description":"If true field can be used for sorting"}},"additionalProperties":false,"description":"Representation of a queryable field in PIM"}}},"paths":{"/v1/GlobalLists/queryablefields/{uid}":{"get":{"tags":["GlobalLists"],"summary":"Get available query fields for a specific global list","parameters":[{"name":"uid","in":"path","description":"Uid of global list","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Shared.QueryableField"}}}}}}}}}}
```
